%define upstream_name    Sub-Uplevel
%define upstream_version 0.2800

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    apparently run a function in a higher stack frame
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description 
Apparently run a function in a higher stack frame.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%make_install

find %{buildroot} -name "perllocal.pod" -delete

%check
%{__make} test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Sub
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.280.0-3.mga8
+ Revision: 1506201
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.280.0-2.mga7
+ Revision: 1286217
- Mageia 7 Mass Rebuild

* Sun Jul 23 2017 shlomif <shlomif> 0.280.0-1.mga7
+ Revision: 1128909
- update to 0.2800

* Sun Jun 19 2016 pterjan <pterjan> 0.250.0-3.mga6
+ Revision: 1033561
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.250.0-2.mga6
+ Revision: 968400
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.250.0-1.mga6
+ Revision: 852180
- update to 0.25

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-6.mga5
+ Revision: 749103
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.240.0-5.mga5
+ Revision: 733448
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.240.0-4.mga5
+ Revision: 686275
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.240.0-3.mga4
+ Revision: 514810
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.240.0-2.mga3
+ Revision: 372895
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 0.240.0-1.mga2
+ Revision: 213181
- update to 0.24

* Tue Jan 18 2011 jquelin <jquelin> 0.220.0-1.mga1
+ Revision: 22846
- cleaning spec file
- imported package perl-Sub-Uplevel


* Sun Nov 22 2009 Jérôme Quelin <jquelin@mandriva.org> 0.220.0-1mdv2010.1
+ Revision: 468889
- update to 0.22

* Wed Jul 08 2009 Jérôme Quelin <jquelin@mandriva.org> 0.200.200-1mdv2010.0
+ Revision: 393408
- update to 0.2002
- using %%perl_convert_version
- fixed license field

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.18-2mdv2009.0
+ Revision: 224059
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2008.1
+ Revision: 104470
- update to new version 0.18

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2008.0
+ Revision: 63962
- update to new version 0.16


* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2007.0
+ Revision: 84383
- new version

* Tue Nov 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdv2007.1
+ Revision: 83990
- Import perl-Sub-Uplevel

* Sat Jun 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdv2007.0
- New version 0.13

* Sun May 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdk
- New release 0.12

* Tue Apr 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdk
- New release 0.10
- better sources URL

* Tue Apr 04 2006 Buchan Milne <bgmilne@mandriva.org> 0.09-4mdk
- Rebuild
- use mkrel

* Sun Jun 12 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-3mdk 
- better url
- spec cleanup
- don't ship useless empty dirs
- make test in %%check

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.09-2mdk
- fix buildrequires in a backward compatible way

* Fri Jul 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.09-1mdk
- 0.95

* Thu Apr 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.08-1mdk
- new version
- rpmbuildupdate aware
- no more explicit dependencies, let spec-helper do its job
- make test

